/*Swiper CSS*/
.swiper-slide.poll-slide{
    text-align: center;
    font-size: 18px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.swiper-button-next.poll{
    display: flex;
    justify-content: flex-start;
    flex-direction: row-reverse;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    position: unset;
    border-right: 1px solid white;
    color: white;
    width: 150px;
    height: 55px;
    font-size: 14px;
}
.swiper-button-next.poll:hover{
    background-color: #015c4b;
}
.swiper-button-next.poll:focus{
    background-color: #015c4b;
}
.swiper-button-next.poll:after{
    content: 'none' !important;
}
.swiper-button-prev.poll{
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    border-radius: 0 15px 15px 0;
    position: unset;
    color: white;
    width: 150px;
    height: 55px;
    font-size: 14px;
}
.swiper-button-prev.poll:hover{
    background-color: #015c4b;
}
.swiper-button-prev.poll:focus{
    background-color: #015c4b;
}
.swiper-button-prev:disabled{
    background-color: #262631;
    opacity : 1;
    color: #262631;
}
.swiper-button-prev.poll:after{
    content: 'none' !important;
}

.swiper-button-next.start-btn{
    display: flex;
    flex-direction: row-reverse;
    position: unset;
    height: 55px;
    color: white;
    width: 300px;
    font-size: 14px;
}
.swiper-button-next.start-btn:after{
    content: 'none' !important;
}
.swiper-button-record {
    border-radius: 15px 0 0 15px;
}
.poll-btn-right {
    background-color: #262631 !important;
    border-radius: 0 15px 15px 0;
    flex-direction: unset !important;
}

.poll-btn{
    background-color: #015c4b;
    position: unset;
    color: white;
    display: flex;
    justify-content: flex-start;
    flex-direction: row-reverse;
    width: 150px !important;
    font-size: 14px;
    height: 55px;
    margin-top: calc(0px - (var(--swiper-navigation-size)/ 2));
    align-items: center;
}

.bi.poll{
    font-size: 22px;
    margin-top: 7px;
}
/*******/
.form-check{
    width: 100%;
}
label.form-check-label.poll{
    height: 55px;
    width: 100%;
    max-width: 350px;
    min-width: 300px;
    font-size: 14px;
    padding: 17px;
    margin-bottom: 10px;
    background-color: white;
    border-style: solid;
    border-width: 1px;
    border-color: #015c4b;
    border-radius: 15px;
    transition: .3s ease-in-out;
}
label.form-check-label.poll:hover{
    background-color: #015c4b3b;
}
label.form-check-label.poll:has(.form-check-input:checked){
    background-color: #015c4b3b;
}
.text-poll {
    text-align: right;
}
.form-check-input{
    border-radius: 5px !important;
    background-color: white;
    border-color: #015c4b;
    border-width: 2px;
    transition: .3s ease-in-out;
    width: 25px;
    height: 25px;
    margin-left: 5px !important;
    margin-top: 1px !important;
    content:'1';
}
.form-check-input[type=radio]{
    border-radius: 50% !important;
}
.form-check-input:checked{
    background-color: #015c4b;
    border-color: #015c4b;
}
.form-check-input.poll:focus{
    border-color: #eac784;
    box-shadow: 0 0 0 0.25rem #eac78442;
}


.container.poll {
    display: flex;
    flex-wrap: wrap;
    height: 100vh;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
}

/*#footer-custom{
    left: 0;
    right: 0;
    padding-top: 33px;
    position: fixed;
    top: 0px;
    font-size: 12px;
    z-index:1000;
}*/
.mySwiper .swiper-pagination{
    top:initial;
    bottom:0;
}
.swiper-pagination-progressbar-fill{
    border-radius: 10px;
    background-color: #EAC784 !important;
}
.swiper-pagination-title {
    z-index: 99;
    position: absolute;
    right:calc(50vw - 25px);
    top: 30px;
    text-align: center;
}
.swiper-pagination.poll{
    border-radius: 10px;
    right:calc(50vw - 150px);
    margin-top: 30px;
    height: 25px !important;
    width: 300px !important;
}
.bi{
    font-weight: bolder !important;
    font-size: 18px;
}
.bi:before{
    font-weight: bolder !important;
}
/*scale*/
.scale-btn{
    padding-top: 15px;
    height: 45px;
    width: 50px;
    background-color: #015c4b;
    color: white;
    text-align: center;
    cursor: pointer;
    transition: 0.2s;
}
.scale-btn:hover{
    background-color: #EAC784;
}
.btn-group .scale-btn:nth-child(2){
    border-top-left-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
}

.btn-group .scale-btn:last-child{
    border-top-right-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
}
.scale-rating:checked{
    background-color: #EAC784;
}
.scale-btn:active{
    background-color: #EAC784;
}
input:checked +.scale-btn{
    background-color: #EAC784;
}
input:checked + .scale-btn :hover{
    background-color: #EAC784;
}
/*-----*/


/* star and thumb rating*/
* {
    box-sizing: border-box;
}

.thumb-rating {
    display: flex;
    width: 100%;
    justify-content: center;
    overflow: hidden;
    flex-direction: row-reverse;
    height: 100px;
    position: relative;
}

.thumb-rating-0 {
    filter: grayscale(100%);
}

.thumb-rating > input {
    display: none;
}

.thumb-rating > label {
    cursor: pointer;
    width: 60px;
    height: 60px;
    margin-top: 30px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-hand-thumbs-up' viewBox='0 0 16 16'%3E%3Cpath d='M8.864.046C7.908-.193 7.02.53 6.956 1.466c-.072 1.051-.23 2.016-.428 2.59-.125.36-.479 1.013-1.04 1.639-.557.623-1.282 1.178-2.131 1.41C2.685 7.288 2 7.87 2 8.72v4.001c0 .845.682 1.464 1.448 1.545 1.07.114 1.564.415 2.068.723l.048.03c.272.165.578.348.97.484.397.136.861.217 1.466.217h3.5c.937 0 1.599-.477 1.934-1.064a1.86 1.86 0 0 0 .254-.912c0-.152-.023-.312-.077-.464.201-.263.38-.578.488-.901.11-.33.172-.762.004-1.149.069-.13.12-.269.159-.403.077-.27.113-.568.113-.857 0-.288-.036-.585-.113-.856a2.144 2.144 0 0 0-.138-.362 1.9 1.9 0 0 0 .234-1.734c-.206-.592-.682-1.1-1.2-1.272-.847-.282-1.803-.276-2.516-.211a9.84 9.84 0 0 0-.443.05 9.365 9.365 0 0 0-.062-4.509A1.38 1.38 0 0 0 9.125.111zM11.5 14.721H8c-.51 0-.863-.069-1.14-.164-.281-.097-.506-.228-.776-.393l-.04-.024c-.555-.339-1.198-.731-2.49-.868-.333-.036-.554-.29-.554-.55V8.72c0-.254.226-.543.62-.65 1.095-.3 1.977-.996 2.614-1.708.635-.71 1.064-1.475 1.238-1.978.243-.7.407-1.768.482-2.85.025-.362.36-.594.667-.518l.262.066c.16.04.258.143.288.255a8.34 8.34 0 0 1-.145 4.725.5.5 0 0 0 .595.644l.003-.001.014-.003.058-.014a8.908 8.908 0 0 1 1.036-.157c.663-.06 1.457-.054 2.11.164.175.058.45.3.57.65.107.308.087.67-.266 1.022l-.353.353.353.354c.043.043.105.141.154.315.048.167.075.37.075.581 0 .212-.027.414-.075.582-.05.174-.111.272-.154.315l-.353.353.353.354c.047.047.109.177.005.488a2.224 2.224 0 0 1-.505.805l-.353.353.353.354c.006.005.041.05.041.17a.866.866 0 0 1-.121.416c-.165.288-.503.56-1.066.56z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 76%;
    transition: 0.3s;
}

/*.thumb-rating > input:checked ~ label,
.thumb-rating > input:checked ~ label ~ label {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-hand-thumbs-up-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.956 1.745C7.021.81 7.908.087 8.864.325l.261.066c.463.116.874.456 1.012.965.22.816.533 2.511.062 4.51a9.84 9.84 0 0 1 .443-.051c.713-.065 1.669-.072 2.516.21.518.173.994.681 1.2 1.273.184.532.16 1.162-.234 1.733.058.119.103.242.138.363.077.27.113.567.113.856 0 .289-.036.586-.113.856-.039.135-.09.273-.16.404.169.387.107.819-.003 1.148a3.163 3.163 0 0 1-.488.901c.054.152.076.312.076.465 0 .305-.089.625-.253.912C13.1 15.522 12.437 16 11.5 16H8c-.605 0-1.07-.081-1.466-.218a4.82 4.82 0 0 1-.97-.484l-.048-.03c-.504-.307-.999-.609-2.068-.722C2.682 14.464 2 13.846 2 13V9c0-.85.685-1.432 1.357-1.615.849-.232 1.574-.787 2.132-1.41.56-.627.914-1.28 1.039-1.639.199-.575.356-1.539.428-2.59z'/%3E%3C/svg%3E");
}
.thumb-rating > input:not(:checked) ~ label:hover,
.thumb-rating > input:not(:checked) ~ label:hover ~ label {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-hand-thumbs-up-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.956 1.745C7.021.81 7.908.087 8.864.325l.261.066c.463.116.874.456 1.012.965.22.816.533 2.511.062 4.51a9.84 9.84 0 0 1 .443-.051c.713-.065 1.669-.072 2.516.21.518.173.994.681 1.2 1.273.184.532.16 1.162-.234 1.733.058.119.103.242.138.363.077.27.113.567.113.856 0 .289-.036.586-.113.856-.039.135-.09.273-.16.404.169.387.107.819-.003 1.148a3.163 3.163 0 0 1-.488.901c.054.152.076.312.076.465 0 .305-.089.625-.253.912C13.1 15.522 12.437 16 11.5 16H8c-.605 0-1.07-.081-1.466-.218a4.82 4.82 0 0 1-.97-.484l-.048-.03c-.504-.307-.999-.609-2.068-.722C2.682 14.464 2 13.846 2 13V9c0-.85.685-1.432 1.357-1.615.849-.232 1.574-.787 2.132-1.41.56-.627.914-1.28 1.039-1.639.199-.575.356-1.539.428-2.59z'/%3E%3C/svg%3E");
}*/
.feedback {
    max-width: 360px;
    background-color: #fff;
    width: 100%;
    padding: 30px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
}

.star-rating {
    display: flex;
    width: 100%;
    justify-content: center;
    overflow: hidden;
    flex-direction: row-reverse;
    height: 100px;
    position: relative;
}

.star-rating-0 {
    filter: grayscale(100%);
}

.star-rating > input {
    display: none;
}
.counter-rating-span {
    position: absolute;
    width: 10px;
    left: 25px;
    top: 25px;
    font-size: 14px;
}
.counter-rating-like-span {
    position: absolute;
    width: 10px;
    left: 25px;
    top: 23px;
    font-size: 14px;
}
.star-rating > label {
    cursor: pointer;
    width: 60px;
    height: 60px;
    margin-top: 30px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-star' viewBox='0 0 16 16'%3E%3Cpath d='M2.866 14.85c-.078.444.36.791.746.593l4.39-2.256 4.389 2.256c.386.198.824-.149.746-.592l-.83-4.73 3.522-3.356c.33-.314.16-.888-.282-.95l-4.898-.696L8.465.792a.513.513 0 0 0-.927 0L5.354 5.12l-4.898.696c-.441.062-.612.636-.283.95l3.523 3.356-.83 4.73zm4.905-2.767-3.686 1.894.694-3.957a.565.565 0 0 0-.163-.505L1.71 6.745l4.052-.576a.525.525 0 0 0 .393-.288L8 2.223l1.847 3.658a.525.525 0 0 0 .393.288l4.052.575-2.906 2.77a.565.565 0 0 0-.163.506l.694 3.957-3.686-1.894a.503.503 0 0 0-.461 0z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 76%;
    transition: 0.3s;
}
.star-rating > input:not(:checked) ~ label,
.star-rating > input:not(:checked) ~ label ~ label {
    background-image: url("/img/admin/star-out.png");
}

.star-rating:has(input:checked) label {
    background-image: url("/img/admin/star.png") !important;
}

.star-rating > input:checked ~ label {
    background-image: url("/img/admin/star-out.png") !important;
}

.star-rating > input:checked + label, .star-rating > .hover {
    background-image: url("/img/admin/star.png") !important;
}


.thumb-rating > input:not(:checked) ~ label,
.thumb-rating > input:not(:checked) ~ label ~ label {
    background-image: url("/img/admin/like-out.png");
    color: #000;
}

.thumb-rating:has(input:checked) label {
    background-image: url("/img/admin/like.png") !important;
    color: #fff !important;
}

.thumb-rating > input:checked ~ label {
    background-image: url("/img/admin/like-out.png") !important;
    color: #000 !important;
}

.thumb-rating > input:checked + label, .thumb-rating > .hover {
    background-image: url("/img/admin/like.png") !important;
    color: #fff !important;
}
/*----*/
